Subject: Re: [PATCH 00/18] Signed push

From: Stefan Beller <[email-masked]>
Date: Fri, 22 Aug 2014 22:38:32 +0200

On 22.08.2014 22:33, Junio C Hamano wrote:
> Stefan Beller <[email-masked]> writes:
> 
>> On 22.08.2014 22:03, Junio C Hamano wrote:
>>> Stefan Beller <[email-masked]> writes:
>>>
>>>> So there would be tags like:
>>>> 	master_2014_08_21
>>>> 	master_2014_08_22
>>>> 	...
>>>> 	maint_2014_08_13
>>>> 	maint_2014_08_21
>>>> and so on. Whenever there is no tag at the tip of the branch, we'd
>>>> know there is something wrong.
>>>
>>> Who creates that tag?
>>>
>>
>>> My guess would be usability as tagging so many branches is cumbersome
>> for a maintainer?
> 
> Did you answer my question?  Who creates these tags?
> 

It would be up to the one who pushes, the user, or in our case you!

This way of working would require the informal notion of
'always tag the last commit before pushing.'

As I wrote in the first email, I made up this workaround and wanted to
see, what's so bad about that workaround and how to overcome the
problems. And all I could find was a burden on the maintainer/user.

Sorry,
Stefan